Add command end-points for Selenium compatibility in Marionette

RESOLVED INVALID

Status

Testing
Marionette
P2
normal
RESOLVED INVALID
4 years ago
10 months ago

People

(Reporter: ato, Unassigned)

Tracking

({ateam-marionette-spec})

Trunk
x86_64
Linux
ateam-marionette-spec
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [spec])

(Reporter)

Description

4 years ago
The W3C WebDriver specification changes the name of some command
end-points, making it backwards incompatible with Selenium 2.x.
Selenium 3 onwards intends to reflect this by not being backwards
compatible with 2.x.

Marionette, however, needs to currently be able to test against
Selenium 2.x, but be future proof for 3.x.  The WebDriver
compatibility task, bug 721859, introduces the commands needed to be
compatible with the specification.  This task intends to the Selenium
2.x commands as deprecated end-points to Marionette, which can later
be removed when Selenium 3 is released.
(Reporter)

Updated

4 years ago
Depends on: 962182
(Reporter)

Updated

4 years ago
Depends on: 941140
(Reporter)

Updated

4 years ago
Depends on: 941144
Whiteboard: [spec]
Keywords: ateam-marionette-spec
closing as we have been doing this as they come up
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.